Skip to content

Convert to Committed or Renewal Policy

PUT
/ai_labs/organization/{Organization_Id}/sku/update/
curl --request PUT \
--url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/ai_labs/organization/{Organization_Id}/sku/update/?location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>' \
--header 'Content-Type: application/json' \
--data '{
"sku_item_price_id": 0,
"committed_instance_policy": "auto_terminate",
"next_sku_item_price_id": 0
}'

Note: AI Labs is currently available only in the Delhi region. Convert your organization’s AI Labs subscription to a committed plan or update the renewal policy. Change the request body using the dropdown in the examples section to choose between converting to a committed plan or updating the renewal policy.

Organization_Id
required
integer

Organization ID

location
required
string
Allowed values: Delhi Chennai

Location

active_iam
integer

Active IAM ID (To access contact person account) Find your Active IAM ID here

Media typeapplication/json
object
sku_item_price_id

ID of the SKU item price to be converted to a committed plan

integer
committed_instance_policy

Policy for handling the instance after or during commitment

string
Allowed values: auto_terminate convert_to_hourly_billing auto_renew
next_sku_item_price_id

ID of the next SKU item price to be used for renewal, if applicable

integer
nullable

Successfully converted to committed plan

Media typeapplication/json
object
code
integer
data
object
id
integer
name
string
description
string
nullable
project
object
team_id
integer
project_id
integer
project_name
string
team_name
string
sku_details
object
specs
object
sku_id
integer
name
string
series
string
cpu
integer
gpu
integer
memory
integer
ephemeral_storage
integer
gpu_memory
integer
is_free
boolean
is_active
boolean
gpu_switch_type
string
nullable
local_storage_in_gb
integer
sku_type
string
gpu_card_type
string
category
string
variant
string
no_of_nodes
integer
plan
object
sku_item_price_id
integer
sku_type
string
committed_days
integer
unit_price
number
currency
string
is_active
boolean
description
string
location
string
organization_nodes
Array<object>
object
node_name
string
node_alias_name
string
members_count
integer
max_students
integer
created_by
object
id
integer
name
string
email
string format: email
username
string
created_at
string format: date-time
updated_at
string format: date-time
resource_count
integer
iam_info
object
id
integer
owner
object
id
integer
name
string
email
string
username
string
added_user
object
id
integer
name
string
email
string
username
string
role
string
iam_type
string
created_at
string format: date-time
updated_at
string format: date-time
is_student
boolean
invited_count
integer
ai_lab_plan
object
id
integer
name
string
no_of_students
integer
is_active
boolean
no_of_nodes
integer
committed_info
object
resource_state
string
updation_policy
string
Allowed values: auto_terminate convert_to_hourly_billing auto_renew
next_sku_item_price
object
end_date
string format: date-time
status
string
course_count
integer
location
string
errors
object
message
string

Example

{
"code": 200,
"data": {
"id": 43,
"name": "ai-labs-org-251028113044",
"project": {
"team_id": 10928,
"project_id": 8004,
"project_name": "ai-labs-project-7ccf237b",
"team_name": "AI Labs Team-b612cb18"
},
"sku_details": {
"specs": {
"sku_id": 204,
"name": "GDC.4xH10080-104.1000GB_SXM",
"series": "GPU",
"cpu": 104,
"gpu": 4,
"memory": 1000,
"ephemeral_storage": 50,
"gpu_memory": 320,
"is_free": false,
"is_active": true,
"local_storage_in_gb": 0,
"sku_type": "GDC-8xH10080",
"gpu_card_type": "H100",
"category": "ai_labs",
"variant": "e2e",
"no_of_nodes": 1
},
"plan": {
"sku_item_price_id": 1272,
"sku_type": "committed",
"committed_days": 30,
"unit_price": 550000,
"currency": "INR",
"is_active": true,
"description": "Committed ai_labs for 30 days",
"location": "Delhi"
}
},
"organization_nodes": [
{
"node_name": "spk-4h100-hgx-10",
"node_alias_name": "e2e_node_167"
}
],
"members_count": 1,
"max_students": 50,
"created_by": {
"id": 7483,
"name": "test",
"email": "test@gmail.com",
"username": "test@gmail.com"
},
"created_at": "2025-10-28T06:00:50.909464Z",
"updated_at": "2025-10-28T06:01:31.034750Z",
"resource_count": 0,
"iam_info": {
"id": 4753,
"owner": {
"id": 7483,
"name": "test",
"email": "test@gmail.com",
"username": "test@gmail.com"
},
"added_user": {
"id": 7483,
"name": "test",
"email": "test@gmail.com",
"username": "test@gmail.com"
},
"role": "Owner",
"iam_type": "OwnerIam",
"created_at": "2025-05-28T12:43:30.244608Z",
"updated_at": "2025-05-28T12:43:30.244712Z",
"is_student": true
},
"invited_count": 0,
"ai_lab_plan": {
"id": 1,
"name": "GDC.4xH10080-104.1000GB_SXM",
"no_of_students": 50,
"is_active": true,
"no_of_nodes": 1
},
"committed_info": {
"resource_state": "running",
"updation_policy": "auto_terminate",
"end_date": "2025-11-27T06:01:31.247235Z"
},
"status": "active",
"course_count": 0,
"location": "Delhi"
},
"errors": {},
"message": "Success"
}